<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS name="Level" package="performa.orm">
                
        <MULTIPLEREFERENCE  name="Factors"              type="FactorLevelLink"      backreferenceName="Level"   />
        <MULTIPLEREFERENCE  name="Results"              type="FactorScoreResult"    backreferenceName="Level"   />
        <MULTIPLEREFERENCE  name="Narratives"           type="Narrative"            backreferenceName="Level"   />
        <MULTIPLEREFERENCE  name="TestAnalysises"       type="TestAnalysis"         backreferenceName="Level"   />
        <MULTIPLEREFERENCE  name="LevelFactorTypes"     type="LevelFactorType"      backreferenceName="Level"   />
        <MULTIPLEREFERENCE  name="LevelClassCriterias"  type="LevelClassCriteria"   backreferenceName="Level"   />
        <MULTIPLEREFERENCE  name="LevelNormalisations"  type="LevelNormalisation"   backreferenceName="Level"   />
        <MULTIPLEREFERENCE  name="ClassNormalisations"  type="ClassNormalisation"   backreferenceName="Level"   />

        <TABLE  name="tl_level" tablePrefix="object"    polymorphic="FALSE">
            
            <ATTRIB name="LevelDescription" type="String"   dbcol="level_desc"  length="30"/>
            <ATTRIB name="LevelNotes"       type="String"   dbcol="level_notes"/>
            <ATTRIB name="ReportHeader"     type="String"   dbcol="rpt_hdr"/>

        </TABLE>
                
        <SEARCH type="All"  paramFilter="tl_level.object_id is not null"    orderBy="tl_level.object_id"    />
        
        <SEARCH type="Name" paramFilter="tl_level.object_id is not null"    singleton="TRUE">
            <PARAM name="Name"  type="String"   paramFilter="level_desc = ${Name}" />
        </SEARCH>
        
    </BUSINESSCLASS>
    
</ROOT>